Skip to content

Bulk Update Atomic Creatives

Request

Update multiple atomic creatives

Security
Auth0(Required scopes: offline_accessmanage:services)
Query
extendedboolean

Get extended properties in response

Bodyapplication/json
atomic_creativesobject
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/bulk_update/atomic_creatives?extended=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "atomic_creatives": {
      "create": [
        {
          "width": 80,
          "name": "string",
          "height": 90,
          "creative_import_file_id": 5,
          "file_type": "swf",
          "is_multi_creative": false,
          "has_sound": false,
          "rich_media": false,
          "rich_media_provider": "string",
          "built": false,
          "build_date": "string",
          "build_errors": "string",
          "external_identifier": "string",
          "expand": "string",
          "expansion_trigger": "AUTOMATIC",
          "tpas_ad_tag": "string",
          "edited_tag": "string",
          "click_through_url": "http://example.com",
          "concept_id": 7,
          "status": true,
          "archived": false,
          "is_mraid": false,
          "is_https": false,
          "t1as": false,
          "start_date": "string",
          "end_date": "string",
          "vast_version": 0,
          "is_audio": true,
          "expansion_direction": "NONRESTRICTED",
          "media_type": "display",
          "ad_server_type": "ADOCADO",
          "ad_format": "DISPLAY",
          "tpas_ad_tag_name": "string",
          "click_url": "http://example.com",
          "sizmek_tag_status": "NOT_USED",
          "sizmek_creative_status": "NOT_USED",
          "advertiser_id": 1,
          "tag": "string",
          "tag_type": "IFRAME_SCRIPT_NOSCRIPT",
          "vendor_ids": [
            3,
            56
          ]
        }
      ],
      "update": [
        {
          "id": 11,
          "name": "string",
          "version": 3,
          "external_identifier": "string",
          "width": 80,
          "height": 90,
          "concept_id": 33,
          "status": true,
          "archived": true,
          "is_mraid": true,
          "is_https": true,
          "t1as": true,
          "start_date": "2019-08-24T14:15:22Z",
          "end_date": "2019-08-24T14:15:22Z",
          "vast_version": 0,
          "is_audio": true,
          "expansion_direction": "NONRESTRICTED",
          "expansion_trigger": "AUTOMATIC",
          "media_type": "display",
          "ad_server_type": "ADOCADO",
          "ad_format": "DISPLAY",
          "tpas_ad_tag": "string",
          "tpas_ad_tag_name": "string",
          "click_through_url": "http://example.com",
          "click_url": "http://example.com",
          "edited_tag": "string",
          "tag": "string",
          "tag_type": "IFRAME_SCRIPT_NOSCRIPT",
          "vendor_ids": [
            3,
            56
          ]
        }
      ]
    }
  }'

Responses

Atomic creative bulk response

Bodyapplication/json
dataArray of any
metaobject(pagination metadata)
errorsArray of objects(bulk errors)
Response
{ "data": [ { … } ], "meta": { "status": "success", "count": 10, "total_count": 100, "offset": 0, "next_page": "string", "prev_page": "string" }, "errors": [ { … } ] }